# Generated from hemi-0.0.4.gem by gem2rpm -*- rpm-spec -*-
%global gem_name hemi

Name: rubygem-%{gem_name}
Version: 0.0.4
Release: 1%{?dist}
Summary: A simplistic game engine based on SDL2. Because I can
License: MIT
URL: https://github.com/ellmo/hemi
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.6.0
# BuildRequires: rubygem(rspec) >= 3.9
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rubocop) >= 0.77
# BuildRequires: rubygem(rubocop) < 1
# BuildRequires: rubygem(rubocop-performance) >= 1.5
# BuildRequires: rubygem(rubocop-performance) < 2
# BuildRequires: rubygem(rubocop-rspec) >= 1.37
# BuildRequires: rubygem(rubocop-rspec) < 2
# BuildRequires: rubygem(simplecov) >= 0.20
# BuildRequires: rubygem(simplecov) < 1
# BuildRequires: rubygem(yard) >= 0.9
# BuildRequires: rubygem(yard) < 1
BuildArch: noarch

%description
A simplistic game engine based on SDL2. Because I can.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.circleci
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/.ruby-version
%exclude %{gem_instdir}/.yardopts
%{gem_instdir}/DEV.md
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/hemi.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.0.4-1
- Initial package
